Bug 731604

Summary: lan file tranfer
Product: [Fedora] Fedora Reporter: CA G Rajesh <ca.grajesh>
Component: empathyAssignee: Brian Pepple <bdpepple>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: bdpepple, ca.grajesh
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-07 15:06:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description CA G Rajesh 2011-08-18 02:08:27 UTC
Description of problem:
Empathy does not allow even chatting or file tranfer with bonjour buddies.

Version-Release number of selected component (if applicable):

3.02

How reproducible:
Mere default installation in lan will do

Steps to Reproduce:
1. After installation and adding account to see people nearby, it is not possible to even chat with bonjour/salut buddies.
2. Though, after trusting/opening tcp5222, tcp5298 and udp5353, chatting is possible, no files could be tranferred.

  
Actual results:
Giver was also tested. No file could be transferred. No solution was obtained in IRC #fedora discussions.


Expected results:
Transferring file with lan is very important for SHO. When samba also does not permit file browsing (I know, from googling, it is a separate bug), this empathy not transferring files aggravates the situation.

Additional info:
If this problem related to SElinux or firewall, some easy solution for desktop users and SHO users is needed. Something like, allow all lan transfers/communications (refer to home network in windows 7). We may warn them of dangers involved therein.

Comment 1 CA G Rajesh 2011-10-01 13:44:07 UTC
It seems to be a firewall problem. Disabling firewall permits file transfer. I feel, some option should be there to allow free transfers/interactions with LAN.

Comment 2 Fedora End Of Life 2012-08-07 15:06:31 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping